package com.tisza.komal.i390;

import android.view.animation.*;

public class TileFlipInterpolator implements Interpolator
{
	public static TileFlipInterpolator first = new TileFlipInterpolator(true), second = new TileFlipInterpolator(false);
	
	private boolean sin;
	
	private TileFlipInterpolator(boolean s)
	{
		sin = s;
	}

	public float getInterpolation(float input)
	{
		double rad = input * Math.PI / 2;
		return (float)(sin ? Math.sin(rad) : Math.sin(rad));
	}
}
